Bug 760105

Summary: Drift: Unchecking the 'File Changed' option in 'Category' drop-down in the carousel view displays Globally uncaught exception
Product: [Other] RHQ Project Reporter: Sunil Kondkar <skondkar>
Component: Core UIAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.2CC: hrupp, jshaughn
Target Milestone: ---Keywords: Reopened
Target Release: RHQ 4.3.0   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: 4.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 790098 (view as bug list) Environment:
Last Closed: 2013-08-31 06:09:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 752488, 790098    
Attachments:
Description Flags
StackTrace none

Description Sunil Kondkar 2011-12-05 07:59:06 EST
Description of problem:

Create a drift definition specifying the Base Directory where a file exists. Change the file and wait till snapshot 1 is created. In the carousel view, Uncheck the 'File Changed' option in 'Category' dropdown. it displays a Globally uncaught exception in UI and in message center. There is no error in server/agent log.

Please refer the attached stack trace in message center. 

Version-Release number of selected component (if applicable):

Jon3GA build

How reproducible:

Always

Steps to Reproduce:

1. Create a text file on platform at some directory(Ex: Test.txt)
2. Login to RHQ and create a drift definition on inventoried platform specifying the base Directory where the file is created.
3. Wait till the initial snapshot gets created.
4. Edit and make some changes in the same text file  on platform.
5. Wait till the Snapshot 1 gets created.
6. Navigate to the drift definition and click on the drift definition name link.
7. In the 'Category' drop-down, uncheck the 'File Changed' option.
8. It displays a 'Globally uncaught exception'.
  
Actual results:

Globally uncaught exception. 

Expected results:

No exception should be displayed. 

Additional info:
Comment 1 Sunil Kondkar 2011-12-05 07:59:36 EST
Created attachment 540850 [details]
StackTrace
Comment 2 Jay Shaughnessy 2011-12-05 10:31:04 EST
recreated, investigating...
Comment 3 Jay Shaughnessy 2011-12-05 11:15:34 EST
master         commit be9d41a3a6e8be965b5d016bea666c38af29b31c
release_jon3.x commit 168ac7ba4dc74dfea2fef0bf8331cafdae6cf7fa

    This had to do with the filtering leaving no eligible snapshots.
Comment 4 Mike Foley 2011-12-05 11:26:19 EST
qe is requesting a developer code review for this late change in jon 3
Comment 5 Jay Shaughnessy 2011-12-05 11:58:48 EST
My mistake, this was never pushed to the release_jon3.x branch.
Comment 6 Sunil Kondkar 2011-12-07 07:08:59 EST
Verified in maser build#818 (Version: 4.3.0-SNAPSHOT Build Number: bf5446c)

Followed the steps and verified that unchecking the 'File Changed' option does not display any exception.
Comment 7 Sunil Kondkar 2011-12-09 06:53:18 EST
Marking as verified.
Comment 8 Sunil Kondkar 2011-12-09 06:54:12 EST
Marking as verified.
Comment 9 Mike Foley 2012-02-07 14:24:55 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 10 Mike Foley 2012-02-07 14:25:17 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE
Comment 11 Charles Crouch 2012-02-13 11:29:52 EST
Setting Target Release correctly
Comment 12 Heiko W. Rupp 2013-08-31 06:09:14 EDT
Bulk close of old bugs in VERIFIED state.